Name: pkg-config
Version: 0.29.2
Release: 2
License: GPL-3.0-or-later
Summary: Build script configuration tool
Url: https://www.freedesktop.org/wiki/Software/pkg-config

BuildRequires: glib2-devel
BuildRequires: libintl-devel

Source0: https://pkg-config.freedesktop.org/releases/pkg-config-%{version}.tar.gz
Patch0: pkg-config-disable-private-requires.patch

%description
pkg-config is a helper tool used when compiling applications and libraries. It helps you insert the correct compiler options on the command line so an application can use gcc -o test test.c pkg-config --libs --cflags glib-2.0 for instance, rather than hard-coding values on where to find glib (or other libraries). It is language-agnostic, so it can be used for defining the location of documentation tools, for instance.

%prep
%setup -q
%patch0 -p1

%build

%configure \
  CPPFLAGS="-I%{_includedir}" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  GLIB_CFLAGS='-I%{_includedir}/glib-2.0 -I%{_libdir}/glib-2.0/include' \
  GLIB_LIBS='-lglib-2.0 -lintl' \
  --disable-rpath
  
%make_build


%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/pkg-config
%{_bindir}/powerpc-ibm-os400-pkg-config

%{_datadir}/aclocal/pkg.m4

%{_docdir}/pkg-config/pkg-config-guide.html

%{_mandir}/man1/pkg-config.1*

%changelog
* Thu Mar 25 2021 Kevin Adler <kadler@us.ibm.com> - 0.29.2
- Completely disable Requires.private

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 0.29.2
- Use generic paths for man and info pages to allow for compression

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 0.29.2
- Use SPDX license identifier

* Fri Mar 30 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix circular dependency without using internal glib

* Sat Mar 24 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- Configure with internal glib

* Sat Mar 24 2018 - Jesse R. Gorzinski <jgorzins@us.ibm.com>
- Add missing glib2-devel BuildRequires

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix build

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
